package me.alpako.expansion.init;

import me.alpako.expansion.Reference;
import me.alpako.expansion.items.ItemEmeraldSword;
import me.alpako.expansion.items.ItemModArmor;
import me.alpako.expansion.items.ItemRubySword;
import net.minecraft.client.Minecraft;
import net.minecraft.client.resources.model.ModelResourceLocation;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.Item.ToolMaterial;
import net.minecraft.item.ItemArmor;
import net.minecraft.item.ItemArmor.ArmorMaterial;
import net.minecraft.item.ItemStack;
import net.minecraftforge.common.util.EnumHelper;
import net.minecraftforge.fml.common.registry.GameRegistry;

import net.minecraft.item.Item.ToolMaterial;
import net.minecraft.item.ItemArmor.ArmorMaterial;
public class EXPItems {

	//weapons
	public static Item emerald_sword;
	public static Item ruby_sword;
	
	//minerals
	public static Item ruby;
	
	//armor
	public static ItemArmor emerald_helmet;
	public static ItemArmor emerald_chestplate;
	public static ItemArmor emerald_leggings;
	public static ItemArmor emerald_boots;
	
	//toolsMat
	public static ToolMaterial emerald = EnumHelper.addToolMaterial("emerald", 3, 2563, 13.0f, 4.0F, 32);
	public static ToolMaterial rubyTool = EnumHelper.addToolMaterial("rubyTool", 3, 3052, 14.0f, 5.0F, 36);
	
	//armorMat
	public static ArmorMaterial emeraldArmor = EnumHelper.addArmorMaterial("emeraldArmor", "apexp:emerald", 40, new int[] {3, 8, 6, 3}, 32);
	
	public static void init() {
		emerald_sword = new ItemEmeraldSword(emerald).func_77655_b("emerald_sword");
		ruby_sword = new ItemRubySword(rubyTool).func_77655_b("ruby_sword");
		ruby = new Item().func_77655_b("ruby");
		
		emerald_helmet = new ItemModArmor("emerald_helmet", emeraldArmor, 1, 0);
		emerald_chestplate = new ItemModArmor("emerald_chestplate", emeraldArmor, 1, 1);
		emerald_leggings = new ItemModArmor("emerald_leggings", emeraldArmor, 2, 2);
		emerald_boots = new ItemModArmor("emerald_boots", emeraldArmor, 1, 3);
	}
	
	public static void register() {
		
		//items
		GameRegistry.registerItem(emerald_sword, emerald_sword.func_77658_a().substring(5));
		GameRegistry.registerItem(ruby_sword, ruby_sword.func_77658_a().substring(5));
		GameRegistry.registerItem(ruby, ruby.func_77658_a().substring(5));
		
		//Armor
		GameRegistry.registerItem(emerald_helmet, emerald_helmet.func_77658_a().substring(5));
		GameRegistry.registerItem(emerald_chestplate, emerald_chestplate.func_77658_a().substring(5));
		GameRegistry.registerItem(emerald_leggings, emerald_leggings.func_77658_a().substring(5));
		GameRegistry.registerItem(emerald_boots, emerald_boots.func_77658_a().substring(5));
	
		//Crafting
		ItemStack emerald_sword = new ItemStack(EXPItems.emerald_sword);
		ItemStack emerald_helmet = new ItemStack(EXPItems.emerald_helmet);
		ItemStack emerald_chestplate = new ItemStack(EXPItems.emerald_chestplate);
		ItemStack emerald_leggings = new ItemStack(EXPItems.emerald_leggings);
		ItemStack emerald_boots = new ItemStack(EXPItems.emerald_boots);
		ItemStack ruby = new ItemStack(EXPItems.ruby);
		
		GameRegistry.addShapedRecipe(emerald_sword, "E", "E", "S", 'E', Items.field_151166_bC, 'S', Items.field_151055_y);
		GameRegistry.addShapedRecipe(emerald_helmet, "EEE", "E E", "   ", 'E', Items.field_151166_bC);
		GameRegistry.addShapedRecipe(emerald_helmet, "   ", "EEE", "E E", 'E', Items.field_151166_bC);
		GameRegistry.addShapedRecipe(emerald_chestplate, "E E", "EEE", "EEE", 'E', Items.field_151166_bC);
		GameRegistry.addShapedRecipe(emerald_leggings, "EEE", "E E", "E E", 'E', Items.field_151166_bC);
		GameRegistry.addShapedRecipe(emerald_boots, "   ", "E E", "E E", 'E', Items.field_151166_bC);
		GameRegistry.addShapedRecipe(emerald_boots, "E E", "E E", "   ", 'E', Items.field_151166_bC);
		GameRegistry.addShapedRecipe(ruby, " R ", "RDR", " R ", 'R', new ItemStack(Items.field_151100_aR, 1, 1), 'D', Items.field_151045_i);
	}

	public static void registerRenders() {
		registerRender(emerald_sword);
		registerRender(ruby_sword);
		registerRender(ruby);
		
		//Armor
		registerRender(emerald_helmet);
		registerRender(emerald_chestplate);
		registerRender(emerald_leggings);
		registerRender(emerald_boots);
	}
	
	public static void registerRender(Item item) {
		Minecraft.func_71410_x().func_175599_af().func_175037_a().func_178086_a(item, 0, new ModelResourceLocation(Reference.MOD_ID + ":" + item.func_77658_a().substring(5), "inventory"));
	}
}
